Récupérer les décharges d'une mission
curl --request GET \
--url 'https://api.papslogistics.com/tasks/discharges?apikey='import requests
url = "https://api.papslogistics.com/tasks/discharges?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.papslogistics.com/tasks/discharges?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"error": "<string>",
"data": [
{
"type": "Pickup",
"orders": [
{
"uid": "PP-O0072384",
"parcels": [
{
"uid": "PP-O0072384-1138",
"refClient": "CMD-38-P-9",
"status": "Delivered",
"description": "Patate Douce (kg)",
"additionalInfos": "Quantité: 1",
"value": 800
}
]
}
],
"proofsOfDelivery": [
"<string>"
]
}
]
}{
"code": 200,
"message": "Success",
"error": "<string>"
}{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}{
"code": 200,
"message": "Success",
"error": "<string>"
}Tasks
Récupérer les décharges d'une mission
Récupère les décharges (preuves de livraison) pour une mission donnée.
GET
/
tasks
/
discharges
Récupérer les décharges d'une mission
Authorizations
Clé API du client, disponible dans son espace personnel Paps. Transmise en paramètre de requête apikey.
Query Parameters
Identifiant de la mission, renvoyé dans le champ _id lors de sa création (POST /tasks) — le même identifiant utilisé pour GET /tasks/fetch/{id}.
Identifiant de la commande, renvoyé dans le champ _id de orders[] lors de la création de la mission (POST /tasks).
Response
Liste des décharges
Code de statut de la réponse
Example:
200
Message associé à la réponse
Example:
"Success"
null en cas de succès. En cas d'erreur métier (codes 400 et 500), contient un message ou un nom d'exception sous forme de chaîne libre.
Show child attributes
Show child attributes